#!/usr/bin/env python3
#
# GUI config page for triton_wedge.

from cmk.rulesets.v1.form_specs.validators import LengthInRange
from cmk.rulesets.v1.form_specs import Dictionary, DictElement, String
from cmk.rulesets.v1.rule_specs import SpecialAgent, Topic, Title, Help

def _formspec():
    return Dictionary(
        title=Title("Triton Wedge Detection"),
        elements={
            "instance": DictElement(
                parameter_form=String(
                    title=Title("Hostname"),
                    help_text=Help("Hostname or IP of NAPI to query"),
                    custom_validate=(LengthInRange(min_value=1),),
                ),
                required=True
            )
        }
    )

rule_spec_agent_config_triton_wedge = SpecialAgent(
    topic=Topic.NETWORKING,
    name="triton_wedge",
    title=Title("Triton Wedge Detector"),
    parameter_form=_formspec,
    
)
